<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/Dump/Formatter.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.Dump.Formatter</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../Synopsis.html" >Synopsis</a>.<a href="../../Formatters.html" >Formatters</a>.<a href="../Dump.html" >Dump</a>
</div><div class="class-name">class Formatter

</div><div class="links"><div class="file">File: <a href="../../../../File/Synopsis/Formatters/Dump.py.html" target="detail">../Synopsis/Formatters/Dump.py</a></div> <div class="xref"><a href="../../../../XRef/xref9.html#Synopsis.Formatters.Dump.Formatter" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dump.py.html#line24" ><img src="../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Formatter-inheritance" src="Formatter-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Formatter-inheritance_map" />
<map name="Formatter-inheritance_map"></map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="show_ids">show_ids</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dump.py.html#line26" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="show_declarations">show_declarations</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dump.py.html#line27" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="show_types">show_types</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dump.py.html#line28" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="show_files">show_files</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dump.py.html#line29" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="stylesheet">stylesheet</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dump.py.html#line30" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process">process</a>(<span class="variable">self</span>, <span class="variable">ir</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">kwds</span>)  </div> <div class="xref"><a href="../../../../XRef/xref9.html#Synopsis.Formatters.Dump.Formatter.process" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dump.py.html#line32" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="push">push</a>(<span class="variable">self</span>, <span class="variable">name</span>)  </div> <div class="xref"><a href="../../../../XRef/xref9.html#Synopsis.Formatters.Dump.Formatter.push" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dump.py.html#line78" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="pop">pop</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref9.html#Synopsis.Formatters.Dump.Formatter.pop" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dump.py.html#line84" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="add_text">add_text</a>(<span class="variable">self</span>, <span class="variable">text</span>)  </div> <div class="xref"><a href="../../../../XRef/xref9.html#Synopsis.Formatters.Dump.Formatter.add_text" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dump.py.html#line88" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit">visit</a>(<span class="variable">self</span>, <span class="variable">obj</span>)  </div> <div class="xref"><a href="../../../../XRef/xref9.html#Synopsis.Formatters.Dump.Formatter.visit" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dump.py.html#line93" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_none">visit_none</a>(<span class="variable">self</span>, <span class="variable">obj</span>)  </div> <div class="xref"><a href="../../../../XRef/xref9.html#Synopsis.Formatters.Dump.Formatter.visit_none" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dump.py.html#line106" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_string">visit_string</a>(<span class="variable">self</span>, <span class="variable">obj</span>)  </div> <div class="xref"><a href="../../../../XRef/xref9.html#Synopsis.Formatters.Dump.Formatter.visit_string" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dump.py.html#line107" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_type">visit_type</a>(<span class="variable">self</span>, <span class="variable">obj</span>)  </div> <div class="xref"><a href="../../../../XRef/xref9.html#Synopsis.Formatters.Dump.Formatter.visit_type" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dump.py.html#line108" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_tuple">visit_tuple</a>(<span class="variable">self</span>, <span class="variable">obj</span>)  </div> <div class="xref"><a href="../../../../XRef/xref9.html#Synopsis.Formatters.Dump.Formatter.visit_tuple" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dump.py.html#line110" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_list">visit_list</a>(<span class="variable">self</span>, <span class="variable">obj</span>)  </div> <div class="xref"><a href="../../../../XRef/xref9.html#Synopsis.Formatters.Dump.Formatter.visit_list" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dump.py.html#line118" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_dict">visit_dict</a>(<span class="variable">self</span>, <span class="variable">dict</span>)  </div> <div class="xref"><a href="../../../../XRef/xref9.html#Synopsis.Formatters.Dump.Formatter.visit_dict" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dump.py.html#line126" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_sourcefile">visit_sourcefile</a>(<span class="variable">self</span>, <span class="variable">obj</span>)  </div> <div class="xref"><a href="../../../../XRef/xref9.html#Synopsis.Formatters.Dump.Formatter.visit_sourcefile" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dump.py.html#line140" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_docstring">visit_docstring</a>(<span class="variable">self</span>, <span class="variable">obj</span>)  </div> <div class="xref"><a href="../../../../XRef/xref9.html#Synopsis.Formatters.Dump.Formatter.visit_docstring" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dump.py.html#line158" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_instance">visit_instance</a>(<span class="variable">self</span>, <span class="variable">obj</span>)  </div> <div class="xref"><a href="../../../../XRef/xref9.html#Synopsis.Formatters.Dump.Formatter.visit_instance" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dump.py.html#line166" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="write_declarations">write_declarations</a>(<span class="variable">self</span>, <span class="variable">declarations</span>)  </div> <div class="xref"><a href="../../../../XRef/xref9.html#Synopsis.Formatters.Dump.Formatter.write_declarations" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dump.py.html#line195" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="write_types">write_types</a>(<span class="variable">self</span>, <span class="variable">types</span>)  </div> <div class="xref"><a href="../../../../XRef/xref9.html#Synopsis.Formatters.Dump.Formatter.write_types" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dump.py.html#line206" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="write_files">write_files</a>(<span class="variable">self</span>, <span class="variable">files</span>)  </div> <div class="xref"><a href="../../../../XRef/xref9.html#Synopsis.Formatters.Dump.Formatter.write_files" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dump.py.html#line216" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:26:57 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
